<?php
/**********************************************************************************
 *   Copyright(C) 2002 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Common translation text shared among multiple pages
#****************************************************************************
$trans["catalogSubmit"]            = "\$text = 'bermittle';";
$trans["catalogCancel"]            = "\$text = 'Abbrechen';";
$trans["catalogRefresh"]           = "\$text = 'Erneuern';";
$trans["catalogDelete"]            = "\$text = 'Lschen';";
$trans["catalogFootnote"]          = "\$text = 'Felder mit %symbol% sind bentigt.';";
$trans["AnswerYes"]                = "\$text = 'Ja';";
$trans["AnswerNo"]                 = "\$text = 'Nein';";

#****************************************************************************
#*  Translation text for page index.php
#****************************************************************************
$trans["indexHdr"]                 = "\$text = 'Katalogisierung';";
$trans["indexBarcodeHdr"]          = "\$text = 'Suche Medium durch Mediennummer';";
$trans["indexBarcodeField"]        = "\$text = 'Mediennummer';";
$trans["indexSearchHdr"]           = "\$text = 'Suche Medium durch';";
$trans["indexTitle"]               = "\$text = 'Titel';";
$trans["indexAuthor"]              = "\$text = 'Autor';";
$trans["indexSubject"]             = "\$text = 'Thema';";
$trans["indexButton"]              = "\$text = 'Suche';";

#****************************************************************************
#*  Translation text for page biblio_new_form.php
#****************************************************************************
$trans["biblioNewFormLabel"]       = "\$text = 'Hinzufgen eines neuen';";

#****************************************************************************
#*  Translation text for page biblio_fields.php
#****************************************************************************
$trans["biblioFieldsLabel"]        = "\$text = 'Medium';";
$trans["biblioFieldsMaterialTyp"]  = "\$text = 'Medienart';";
$trans["biblioFieldsCollection"]   = "\$text = 'Genre';";
$trans["biblioFieldsCallNmbr"]     = "\$text = 'Standort';";
$trans["biblioFieldsUsmarcFields"] = "\$text = 'Beschreibungsfelder (nach USMarc)';";
$trans["biblioFieldsOpacFlg"]      = "\$text = 'Anzeige im OPAC';";

#****************************************************************************
#*  Translation text for page biblio_new.php
#****************************************************************************
$trans["biblioNewSuccess"]         = "\$text = 'Das folgende neue Medium wurde erstellt. Um ein Exemplar hinzuzufgen, whle \"Neues Exemplar\" aus dem linken Navigationsbereich oder \"Fge neues Exemplar hinzu\" aus der untenstehenden Information.';";

#****************************************************************************
#*  Translation text for page biblio_edit.php
#****************************************************************************
$trans["biblioEditSuccess"]        = "\$text = 'Das Medium wurde erfolgreich aktualisiert.';";

#****************************************************************************
#*  Translation text for page biblio_copy_new_form.php and biblio_copy_edit_form.php
#****************************************************************************
$trans["biblioCopyNewFormLabel"]   = "\$text = 'Fge neues Exemplar hinzu';";
$trans["biblioCopyNewBarcode"]     = "\$text = 'Mediennummer';";
$trans["biblioCopyNewDesc"]        = "\$text = 'Beschreibung';";
$trans["biblioCopyEditFormLabel"]  = "\$text = 'Exemplar bearbeiten';";
$trans["biblioCopyEditFormStatus"] = "\$text = 'Status';";

#****************************************************************************
#*  Translation text for page biblio_copy_new.php
#****************************************************************************
$trans["biblioCopyNewSuccess"]     = "\$text = 'Exemplar erfolgreich erstellt.';";

#****************************************************************************
#*  Translation text for page biblio_copy_edit.php
#****************************************************************************
$trans["biblioCopyEditSuccess"]    = "\$text = 'Exemplar erfolgreich aktualisiert.';";

#****************************************************************************
#*  Translation text for page biblio_copy_del_confirm.php
#****************************************************************************
$trans["biblioCopyDelConfirmErr1"] = "\$text = 'Exemplar konnte nicht gelscht werden. Das Exemplar darf nicht ausgeliehen sein.';";
$trans["biblioCopyDelConfirmMsg"]  = "\$text = 'Mchten sie wirklich das Exemplar mit der Mediennummer %barcodeNmbr% lschen? Dieses wird auch die Ausleihhistory ber dieses Exemplar lschen.';";

#****************************************************************************
#*  Translation text for page biblio_copy_del.php
#****************************************************************************
$trans["biblioCopyDelSuccess"]     = "\$text = 'Das Exemplar mit der Mediennummer %barcode% wurde erfolgreich gelscht.';";

#****************************************************************************
#*  Translation text for page biblio_marc_list.php
#****************************************************************************
$trans["biblioMarcListMarcSelect"] = "\$text = 'Fge neues MARC-Feld hinzu';";
$trans["biblioMarcListHdr"]        = "\$text = 'MARC-Feld Information';";
$trans["biblioMarcListTbleCol1"]   = "\$text = 'Funktion';";
$trans["biblioMarcListTbleCol2"]   = "\$text = 'Tag';";
$trans["biblioMarcListTbleCol3"]   = "\$text = 'Tag-Beschreibung';";
$trans["biblioMarcListTbleCol4"]   = "\$text = 'Ind 1';";
$trans["biblioMarcListTbleCol5"]   = "\$text = 'Ind 2';";
$trans["biblioMarcListTbleCol6"]   = "\$text = 'Unterfeld';";
$trans["biblioMarcListTbleCol7"]   = "\$text = 'Unterfeld-Beschreibung';";
$trans["biblioMarcListTbleCol8"]   = "\$text = 'Feld Daten';";
$trans["biblioMarcListNoRows"]     = "\$text = 'Keine MARC-Felder gefunden.';";

#****************************************************************************
#*  Translation text for page usmarc_select.php
#****************************************************************************
$trans["usmarcSelectHdr"]          = "\$text = 'MARC-Feld Auswahl';";
$trans["usmarcSelectInst"]         = "\$text = 'Whle einen Feldtyp';";
$trans["usmarcSelectNoTags"]       = "\$text = 'Keine Tags gefunden.';";
$trans["usmarcSelectUse"]          = "\$text = 'benutze';";

#****************************************************************************
#*  Translation text for page biblio_marc_new_form.php
#****************************************************************************
$trans["biblioMarcNewFormHdr"]     = "\$text = 'Fge neues MARC-Feld hinzu';";
$trans["biblioMarcNewFormTag"]     = "\$text = 'Tag';";
$trans["biblioMarcNewFormSubfld"]  = "\$text = 'Unterfeld';";
$trans["biblioMarcNewFormData"]    = "\$text = 'Feld-Daten';";
$trans["biblioMarcNewFormInd1"]    = "\$text = 'Indikator 1';";
$trans["biblioMarcNewFormInd2"]    = "\$text = 'Indikator 2';";
$trans["biblioMarcNewFormSelect"]  = "\$text = 'Whle aus';";

#****************************************************************************
#*  Translation text for page biblio_marc_new.php
#****************************************************************************
$trans["biblioMarcNewSuccess"]     = "\$text = 'MARC-Feld erfolgreich hinzugefgt.';";

#****************************************************************************
#*  Translation text for page biblio_marc_edit_form.php
#****************************************************************************
$trans["biblioMarcEditFormHdr"]    = "\$text = 'Bearbeite MARC-Feld';";

#****************************************************************************
#*  Translation text for page biblio_marc_edit.php
#****************************************************************************
$trans["biblioMarcEditSuccess"]    = "\$text = 'MARC-Feld erfolgreich hinzugefgt.';";

#****************************************************************************
#*  Translation text for page biblio_marc_del_confirm.php
#****************************************************************************
$trans["biblioMarcDelConfirmMsg"]  = "\$text = 'Sind sie sicher das Feld mit dem Tag %tag% und dem Unterfeld %subfieldCd% zu lschen?';";

#****************************************************************************
#*  Translation text for page biblio_marc_del.php
#****************************************************************************
$trans["biblioMarcDelSuccess"]     = "\$text = 'MARC-Feld erfolgreich gelscht.';";

#****************************************************************************
#*  Translation text for page biblio_del_confirm.php
#****************************************************************************
$trans["biblioDelConfirmWarn"]     = "\$text = 'Dieses Medium hat %copyCount% Exemplar(e) und %holdCount% Vorbestellung(en).  Bitte lschen Sie diese Exemplare und/oder Vorbestellungen, bevor sie dieses Medium lschen.';";
$trans["biblioDelConfirmReturn"]   = "\$text = 'kehre zur Medieninformation zurck';";
$trans["biblioDelConfirmMsg"]      = "\$text = 'Sind sie sicher das Medium mit dem Titel %title% zu lschen?';";

#****************************************************************************
#*  Translation text for page biblio_del_confirm.php
#****************************************************************************
$trans["biblioDelMsg"]             = "\$text = 'Das Medium mit dem Titel, %title%, wurde gelscht.';";
$trans["biblioDelReturn"]          = "\$text = 'Kehre zur Mediensuche zurck';";

#****************************************************************************
#*  Translation text for page biblio_hold_list.php
#****************************************************************************
$trans["biblioHoldListHead"]       = "\$text = 'Medien-Vorbestellungen:';";
$trans["biblioHoldListNoHolds"]    = "\$text = 'Zur Zeit sind keine Exemplare vorbestellt.';";
$trans["biblioHoldListHdr1"]       = "\$text = 'Funktion';";
$trans["biblioHoldListHdr2"]       = "\$text = 'Exemplar';";
$trans["biblioHoldListHdr3"]       = "\$text = 'Vorbestellt';";
$trans["biblioHoldListHdr4"]       = "\$text = 'Benutzer';";
$trans["biblioHoldListHdr5"]       = "\$text = 'Status';";
$trans["biblioHoldListHdr6"]       = "\$text = 'Rckgabe';";
$trans["biblioHoldListdel"]        = "\$text = 'Lsche';";

#****************************************************************************
#*  Translation text for page noauth.php
#****************************************************************************
$trans["NotAuth"]                 = "\$text = 'Sie sind nicht berechtigt die Katalogisierung zu benutzen';";

#****************************************************************************
#*  Translation text for page upload_usmarc.php and upload_usmarc_form.php
#****************************************************************************
$trans["MarcUploadTest"]            = "\$text = 'Teste Datensatz';";
$trans["MarcUploadTestTrue"]        = "\$text = 'Wahr';";
$trans["MarcUploadTestFalse"]       = "\$text = 'Falsch';";
$trans["MarcUploadTestFileUpload"]  = "\$text = 'USMarc Eingabe-Datei';";
$trans["MarcUploadRecordsUploaded"] = "\$text = 'Datenstze hochgeladen';";
$trans["MarcUploadMarcRecord"]      = "\$text = 'MARC Eintrag';";
$trans["MarcUploadTag"]             = "\$text = 'Tag';";
$trans["MarcUploadSubfield"]        = "\$text = 'Sub';";
$trans["MarcUploadData"]            = "\$text = 'Daten';";
$trans["MarcUploadRawData"]         = "\$text = 'Reine Daten:';";
$trans["UploadFile"]                = "\$text = 'Datei hochladen';";

#****************************************************************************
#*  Translation text for page usmarc_select.php
#****************************************************************************
$trans["PoweredByOB"]                 = "\$text = 'Powered by OpenBiblio';";
$trans["Copyright"]                   = "\$text = 'Copyright &copy; 2002';";
$trans["underthe"]                    = "\$text = 'under the';";
$trans["GNU"]                 = "\$text = 'GNU General Public License';";

$trans["catalogResults"]                 = "\$text = 'Search Results';";



?>
