<?php
/**********************************************************************************
 *   Copyright(C) 2002, 2003, 2004 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Translation text for class Biblio
#****************************************************************************
$trans["biblioError1"]            = "\$text = 'Der Standort wird bentigt.';";

#****************************************************************************
#*  Translation text for class BiblioField
#****************************************************************************
$trans["biblioFieldError1"]       = "\$text = 'Das Feld wird bentigt.';";
$trans["biblioFieldError2"]       = "\$text = 'Der Tag muss numerisch sein.';";

#****************************************************************************
#*  Translation text for class BiblioQuery
#****************************************************************************
$trans["biblioQueryQueryErr1"]    = "\$text = 'Fehler beim Zugriff auf die Medieninformation.';";
$trans["biblioQueryQueryErr2"]    = "\$text = 'Fehler beim Zugriff auf die Medienfelder.';";
$trans["biblioQueryInsertErr1"]   = "\$text = 'Fehler beim Einfgen des neuen Mediums.';";
$trans["biblioQueryInsertErr2"]   = "\$text = 'Fehler beim Einfgen des neuen Medienfeldes.';";
$trans["biblioQueryUpdateErr1"]   = "\$text = 'Fehler beim Aktualisieren des Mediums.';";
$trans["biblioQueryUpdateErr2"]   = "\$text = 'Fehler bei der Aktualisierung des Mediums beim Medienfeld.';";
$trans["biblioQueryDeleteErr"]    = "\$text = 'Fehler beim Lschen des Mediums.';";

#****************************************************************************
#*  Translation text for class BiblioSearchQuery
#****************************************************************************
$trans["biblioSearchQueryErr1"]   = "\$text = 'Fehler beim Zhlen der Suchergenisse.';";
$trans["biblioSearchQueryErr2"]   = "\$text = 'Fehler beim Suchen nach Medieninformationen.';";
$trans["biblioSearchQueryErr3"]   = "\$text = 'Fehler beim Lesen der Medieninformationen.';";

#****************************************************************************
#*  Translation text for class BiblioCopy
#****************************************************************************
$trans["biblioCopyError1"]        = "\$text = 'Die Mediennummer wird bentigt.';";
$trans["biblioCopyError2"]        = "\$text = 'Die Mediennummer darf nur aus Buchstaben und/oder Zahlen bestehen.';";

#****************************************************************************
#*  Translation text for class BiblioCopyQuery
#****************************************************************************
$trans["biblioCopyQueryErr1"]     = "\$text = 'Fehler bei der Prfung der Mediennummer.';";
$trans["biblioCopyQueryErr2"]     = "\$text = 'Mediennummer %barcodeNmbr% wird bereits benutzt.';";
$trans["biblioCopyQueryErr3"]     = "\$text = 'Fehler beim Einfgen des neuen Exemplars.';";
$trans["biblioCopyQueryErr4"]     = "\$text = 'Fehler beim Zugriff auf das Exemplar.';";
$trans["biblioCopyQueryErr5"]     = "\$text = 'Fehler bei der Aktualisierung des Exemplars.';";
$trans["biblioCopyQueryErr6"]     = "\$text = 'Fehler beim Lschen des Exemplars.';";
$trans["biblioCopyQueryErr7"]     = "\$text = 'Fehler beim Zugriff auf die Medieninformation um den Genrecode zu bekommen.';";
$trans["biblioCopyQueryErr8"]     = "\$text = 'Fehler beim Zugriff auf die Genreinforamtionen um Rckgabe-Datum zu erstellen.';";
$trans["biblioCopyQueryErr9"]     = "\$text = 'Fehler bei der Rckgabe des Exemplars';";
$trans["biblioCopyQueryErr10"]    = "\$text = 'Fehler beim berprfen der Ausleihlimits';";

#****************************************************************************
#*  Translation text for class BiblioFieldQuery
#****************************************************************************
$trans["biblioFieldQueryErr1"]    = "\$text = 'Fehler beim Lesen eines Medienfeldes.';";
$trans["biblioFieldQueryErr2"]    = "\$text = 'Fehler beim Lesen eines Medienfeldes.';";
$trans["biblioFieldQueryInsertErr"] = "\$text = 'Fehler beim Einfgen eines Medienfeldes.';";
$trans["biblioFieldQueryUpdateErr"] = "\$text = 'Fehler beim Aktualisieren eines Medienfeldes.';";
$trans["biblioFieldQueryDeleteErr"] = "\$text = 'Fehler beim Lschen eines Medienfeldes.';";

#****************************************************************************
#*  Translation text for class UsmarcBlockDmQuery
#****************************************************************************
$trans["usmarcBlockDmQueryErr1"]  = "\$text = 'Fehler beim Zugriff auf die MARC-Blcke.';";

#****************************************************************************
#*  Translation text for class UsmarcTagDmQuery
#****************************************************************************
$trans["usmarcTagDmQueryErr1"]    = "\$text = 'Fehler beim Zugriff auf die MARC-Tags.';";

#****************************************************************************
#*  Translation text for class UsmarcSubfieldDmQuery
#****************************************************************************
$trans["usmarcSubfldDmQueryErr1"] = "\$text = 'Fehler beim Zugriff auf die MARC-Unterfelder.';";

#****************************************************************************
#*  Translation text for class BiblioHoldQuery
#****************************************************************************
$trans["biblioHoldQueryErr1"]     = "\$text = 'Fehler beim Zugriff auf Vorbestellung durch Mediennummer.';";
$trans["biblioHoldQueryErr2"]     = "\$text = 'Fehler beim Zugriff auf Vorbestellung durch Benutzernummer.';";
$trans["biblioHoldQueryErr3"]     = "\$text = 'Fehler bei der Vorbestellung wegen Prfung der Mediennummer.';";
$trans["biblioHoldQueryErr4"]     = "\$text = 'Fehler beim Einfgen der Vorbestellung.';";
$trans["biblioHoldQueryErr5"]     = "\$text = 'Fehler beim Lschen der Vorbestellung.';";
$trans["biblioHoldQueryErr6"]     = "\$text = 'Fehler beim Ermitteln der ersten Vorbestellung fr dieses Exemplar.';";

#****************************************************************************
#*  Translation text for class ReportQuery
#****************************************************************************
$trans["reportQueryErr1"]         = "\$text = 'Fehler beim Erstellen der Berichte.';";

#****************************************************************************
#*  Translation text for class ReportCriteria
#****************************************************************************
$trans["reportCriteriaErr1"]      = "\$text = 'Ein nichtmumerischer Wert ist in einer Zahlenspalte nicht erlaubt.';";
$trans["reportCriteriaDateTimeErr"] = "\$text = 'Ungltiges Zeitformat.';";
$trans["reportCriteriaDateErr"]   = "\$text = 'Ungltiges Datumsformat.';";

#****************************************************************************
#*  Translation text for class LabelFormat and LetterFormat
#****************************************************************************
$trans["labelFormatFontErr"]      = "\$text = 'Ungltige Schriftart in der Etikettendefinitionsdatei. Erlaubte Schriftarten sind Courier, Helvetica und Times-Roman.';";
$trans["labelFormatFontSizeErr"]  = "\$text = 'Ungltige Schriftgre in der Etikettendefinitionsdatei. Die Schriftgre mu numerisch sein.';";
$trans["labelFormatFontSizeErr2"] = "\$text = 'Ungltige Schriftgre in der Etikettendefinitionsdatei. Die Schriftgre mu grer als Null sein.';";
$trans["labelFormatLMarginErr"]   = "\$text = 'Ungltiger linker Rand in der Etikettendefinitionsdatei. Der linke Rand mu numerisch sein.';";
$trans["labelFormatLMarginErr2"]  = "\$text = 'Ungltiger linker Rand in der Etikettendefinitionsdatei. Der linke Rand mu grer als Null sein.';";
$trans["labelFormatRMarginErr"]   = "\$text = 'Ungltiger rechter Rand in der Etikettendefinitionsdatei. Der rechte Rand mu numerisch sein.';";
$trans["labelFormatRMarginErr2"]  = "\$text = 'Ungltiger rechter Rand in der Etikettendefinitionsdatei. Der rechte Rand mu grer als Null sein.';";
$trans["labelFormatTMarginErr"]   = "\$text = 'Ungltiger oberer Rand in der Etikettendefinitionsdatei. Der obere Rand mu numerisch sein.';";
$trans["labelFormatTMarginErr2"]  = "\$text = 'Ungltiger oberer Rand in der Etikettendefinitionsdatei. Der obere Rand mu grer als Null sein.';";
$trans["labelFormatBMarginErr"]   = "\$text = 'Ungltiger unterer Rand in der Etikettendefinitionsdatei. Der untere Rand mu numerisch sein.';";
$trans["labelFormatBMarginErr2"]  = "\$text = 'Ungltiger unterer Rand in der Etikettendefinitionsdatei. Der untere Rand mu grer als Null sein.';";
$trans["labelFormatColErr"]       = "\$text = 'Ungltige Spalten in der Etikettendefinitionsdatei. Die Spalten mssen numerisch sein.';";
$trans["labelFormatColErr2"]      = "\$text = 'Ungltige Spalten in der Etikettendefinitionsdatei. Die Spalten mssen grer als Null sein.';";
$trans["labelFormatWidthErr"]     = "\$text = 'Ungltige Breite in der Etikettendefinitionsdatei. Die Breite mu numerisch sein.';";
$trans["labelFormatWidthErr2"]    = "\$text = 'Ungltige Breite in der Etikettendefinitionsdatei. Die Breite mu grer als Null sein.';";
$trans["labelFormatHeightErr"]    = "\$text = 'Ungltige Hhe in der Etikettendefinitionsdatei. Die Hhe mu numerisch sein.';";
$trans["labelFormatHeightErr2"]   = "\$text = 'Ungltige Hhe in der Etikettendefinitionsdatei. Die Hhe mu grer als Null sein.';";
$trans["labelFormatNoLabelsErr"]  = "\$text = 'Ungltige Zeilen in der Etikettendefinitionsdatei.';";

#****************************************************************************
#*  Translation text for class BiblioStatusHistQuery
#****************************************************************************
$trans["biblioStatusHistQueryErr1"] = "\$text = 'Fehler die Ausleihhistory durch die Mediennummer zu bekommen.';";
$trans["biblioStatusHistQueryErr2"] = "\$text = 'Fehler die Ausleihhistory durch die Benutzernummer zu bekommen.';";
$trans["biblioStatusHistQueryErr3"] = "\$text = 'Fehler beim Einfgen der Ausleihhistory';";
$trans["biblioStatusHistQueryErr4"] = "\$text = 'Fehler die Ausleihhistory durch die Mediennummer zu lschen.';";
$trans["biblioStatusHistQueryErr5"] = "\$text = 'Fehler die Ausleihhistory durch die Benutzernummer zu lschen.';";

#****************************************************************************
#*  Translation text for class MemberAccountTransaction
#****************************************************************************
$trans["memberAccountTransError1"]  = "\$text = 'Der Betrag wird bentigt.';";
$trans["memberAccountTransError2"]  = "\$text = 'Der Betrag mu numerisch sein.';";
$trans["memberAccountTransError3"]  = "\$text = 'Die Beschreibung wird bentigt.';";

#****************************************************************************
#*  Translation text for class MemberAccountQuery
#****************************************************************************
$trans["memberAccountQueryErr1"]    = "\$text = 'Fehler beim Zugriff auf die Benutzerinformationen.';";
$trans["memberAccountQueryErr2"]    = "\$text = 'Fehler beim Einfgen von Benutzerinformationen.';";
$trans["memberAccountQueryErr3"]    = "\$text = 'Fehler beim Lschen von Benutzerinformationen.';";

?>
