<?php
/**********************************************************************************
 *   Copyright(C) 2002-2004 David Stevens
 *
 *   This file is part of OpenBiblio.
 *
 *   OpenBiblio is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OpenBiblio is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OpenBiblio; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************************
 */

/**********************************************************************************
 *   Instructions for translators:
 *
 *   All gettext key/value pairs are specified as follows:
 *     $trans["key"] = "<php translation code to set the $text variable>";
 *   Allowing translators the ability to execute php code withint the transFunc string
 *   provides the maximum amount of flexibility to format the languange syntax.
 *
 *   Formatting rules:
 *   - Resulting translation string must be stored in a variable called $text.
 *   - Input arguments must be surrounded by % characters (i.e. %pageCount%).
 *   - A backslash ('\') needs to be placed before any special php characters 
 *     (such as $, ", etc.) within the php translation code.
 *
 *   Simple Example:
 *     $trans["homeWelcome"]       = "\$text='Welcome to OpenBiblio';";
 *
 *   Example Containing Argument Substitution:
 *     $trans["searchResult"]      = "\$text='page %page% of %pages%';";
 *
 *   Example Containing a PHP If Statment and Argument Substitution:
 *     $trans["searchResult"]      = 
 *       "if (%items% == 1) {
 *         \$text = '%items% result';
 *       } else {
 *         \$text = '%items% results';
 *       }";
 *
 **********************************************************************************
 */

#****************************************************************************
#*  Common translation text shared among multiple pages
#****************************************************************************
$trans["sharedCancel"]             = "\$text = 'Abbrechen';";
$trans["sharedDelete"]             = "\$text = 'Lschen';";

#****************************************************************************
#*  Translation text for page biblio_view.php
#****************************************************************************
$trans["biblioViewTble1Hdr"]       = "\$text = 'Medieninformationen';";
$trans["biblioViewMaterialType"]   = "\$text = 'Medienart';";
$trans["biblioViewCollection"]     = "\$text = 'Genre';";
$trans["biblioViewCallNmbr"]       = "\$text = 'Standort';";
$trans["biblioViewTble2Hdr"]       = "\$text = 'Exemplarinformationen';";
$trans["biblioViewTble2Col1"]      = "\$text = 'Mediennummer';";
$trans["biblioViewTble2Col2"]      = "\$text = 'Beschreibung';";
$trans["biblioViewTble2Col3"]      = "\$text = 'Status';";
$trans["biblioViewTble2Col4"]      = "\$text = 'Status Datum';";
$trans["biblioViewTble2Col5"]      = "\$text = 'Rckgabe';";
$trans["biblioViewTble2ColFunc"]   = "\$text = 'Funktion';";
$trans["biblioViewTble2Coldel"]    = "\$text = 'Lsche';";
$trans["biblioViewTble2Coledit"]   = "\$text = 'Bearb.';";
$trans["biblioViewTble3Hdr"]       = "\$text = 'Zustzliche Medieninformationen';";
$trans["biblioViewNoAddInfo"]      = "\$text = 'Keine zustzliche Medieninformationen verfgbar.';";
$trans["biblioViewNoCopies"]       = "\$text = 'Keine Exemplare wurden erstellt.';";
$trans["biblioViewOpacFlg"]        = "\$text = 'Zeige im OPAC';";
$trans["biblioViewNewCopy"]        = "\$text = 'Fge neues Exemplar hinzu';";
$trans["biblioViewNeweCopy"]        = "\$text = 'Fge neues Exemplar hinzu';";

#****************************************************************************
#*  Translation text for page biblio_search.php
#****************************************************************************
$trans["biblioSearchNoResults"]    = "\$text = 'Keine Ergebnisse gefunden.';";
$trans["biblioSearchResults"]      = "\$text = 'Suchergebnisse';";
$trans["biblioSearchResultPages"]  = "\$text = 'Ergebnis-Seiten';";
$trans["biblioSearchPrev"]         = "\$text = 'zurck';";
$trans["biblioSearchNext"]         = "\$text = 'vor';";
$trans["biblioSearchResultTxt"]    = "if (%items% == 1) {
                                        \$text = '%items% Ergebnis gefunden.';
                                      } else {
                                        \$text = '%items% Ergebnisse gefunden';
                                      }";
$trans["biblioSearchauthor"]       = "\$text = ' sortiert nach Autor';";
$trans["biblioSearchtitle"]        = "\$text = ' sortiert nach Titel';";
$trans["biblioSearchSortByAuthor"] = "\$text = 'sortiere nach Autor';";
$trans["biblioSearchSortByTitle"]  = "\$text = 'sortiere nach Titel';";
$trans["biblioSearchTitle"]        = "\$text = 'Titel';";
$trans["biblioSearchAuthor"]       = "\$text = 'Autor';";
$trans["biblioSearchMaterial"]     = "\$text = 'Medienart';";
$trans["biblioSearchCollection"]   = "\$text = 'Genre';";
$trans["biblioSearchCall"]         = "\$text = 'Standort';";
$trans["biblioSearchCopyBCode"]    = "\$text = 'Mediennummer des Exempl.';";
$trans["biblioSearchCopyStatus"]   = "\$text = 'Status';";
$trans["biblioSearchNoCopies"]     = "\$text = 'Keine Exempl. verfgbar.';";
$trans["biblioSearchSelect"]       = "\$text = 'auswhlen';";

#****************************************************************************
#*  Translation text for page loginform.php
#****************************************************************************
$trans["loginFormTbleHdr"]         = "\$text = 'Mitarbeiter Login';";
$trans["loginFormUsername"]        = "\$text = 'Benutzername';";
$trans["loginFormPassword"]        = "\$text = 'Passwort';";
$trans["loginFormLogin"]           = "\$text = 'Login';";

#****************************************************************************
#*  Translation text for page hold_del_confirm.php
#****************************************************************************
$trans["holdDelConfirmMsg"]        = "\$text = 'Sind Sie sicher diese Vorbestellung zu lschen?';";

#****************************************************************************
#*  Translation text for page hold_del.php
#****************************************************************************
$trans["holdDelSuccess"]           = "\$text='Die Vorbestellung wurde erfolgreich gelscht.';";

#****************************************************************************
#*  Translation text for page help_header.php
#****************************************************************************
$trans["helpHeaderTitle"]          = "\$text='OpenBiblio Hilfe';";
$trans["helpHeaderCloseWin"]       = "\$text='Schliee Fenster';";
$trans["helpHeaderContents"]       = "\$text='Inhalte';";
$trans["helpHeaderPrint"]          = "\$text='Drucke';";

$trans["catalogResults"]           = "\$text='Search Results';";

#****************************************************************************
#*  Translation text for page header.php and header_opac.php
#****************************************************************************
$trans["headerTodaysDate"]         = "\$text='Heutiges Datum:';";
$trans["headerDateFormat"]         = "\$text='d.m.Y';";
$trans["headerLibraryHours"]       = "\$text='ffnungszeiten:';";
$trans["headerLibraryPhone"]       = "\$text='Telefonnummer:';";
$trans["headerHome"]               = "\$text='Startseite';";
$trans["headerCirculation"]        = "\$text='Ausleihe';";
$trans["headerCataloging"]         = "\$text='Katalogisierung';";
$trans["headerAdmin"]              = "\$text='Admin';";
$trans["headerReports"]            = "\$text='Berichte';";

#****************************************************************************
#*  Translation text for page footer.php
#****************************************************************************
$trans["footerLibraryHome"]        = "\$text='Bibliothekshomepage';";
$trans["footerOPAC"]               = "\$text='OPAC';";
$trans["footerHelp"]               = "\$text='Hilfe';";
$trans["footerPoweredBy"]          = "\$text='Powered by OpenBiblio version';";
$trans["footerDatabaseVersion"]    = "\$text='database version';";
$trans["footerCopyright"]          = "\$text='Copyright';";
$trans["footerUnderThe"]           = "\$text='under the';";
$trans["footerGPL"]                = "\$text='GNU General Public License';";

?>
